Request Information

URI Parameters

NameDescriptionTypeAdditional information
bundleId

The bundle identifier.

integer

Required

Body Parameters

The bundle to update.

Pico.Bundle
NameDescriptionTypeAdditional information
code

Gets or sets the bundle code.

string

None.

description

Gets or sets the bundle description.

string

None.

isActive

Gets or sets a value indicating whether this bundle is active.

boolean

None.

id

Gets or sets the bundle identifier.

integer

None.

organization

Gets or sets the organization identifier.

integer

None.

bundleDocumentIds

Gets or sets the bundle document identifiers.

Collection of integer

None.

Request Formats

application/json, text/json

Sample:
{
  "code": "sample String 1",
  "description": "sample String 2",
  "isActive": true,
  "id": "4",
  "organization": "5",
  "bundleDocumentIds": [
    1,
    2
  ]
}

text/html

Sample:
{"code":"sample String 1","description":"sample String 2","isActive":true,"id":"4","organization":"5","bundleDocumentIds":[1,2]}

application/xml, text/xml

Sample:
<Bundle xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Code>sample String 1</Code>
  <Description>sample String 2</Description>
  <IsActive>true</IsActive>
  <BundleId>4</BundleId>
  <OrganizationId>5</OrganizationId>
  <BundleDocumentIds>
    <int>1</int>
    <int>2</int>
  </BundleDocumentIds>
</Bundle>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

The updated bundle.

Pico.Bundle
NameDescriptionTypeAdditional information
code

Gets or sets the bundle code.

string

None.

description

Gets or sets the bundle description.

string

None.

isActive

Gets or sets a value indicating whether this bundle is active.

boolean

None.

id

Gets or sets the bundle identifier.

integer

None.

organization

Gets or sets the organization identifier.

integer

None.

bundleDocumentIds

Gets or sets the bundle document identifiers.

Collection of integer

None.

Response Formats

application/json, text/json

Sample:
{
  "code": "sample String 1",
  "description": "sample String 2",
  "isActive": true,
  "id": "4",
  "organization": "5",
  "bundleDocumentIds": [
    1,
    2
  ]
}

text/html

Sample:
{"code":"sample String 1","description":"sample String 2","isActive":true,"id":"4","organization":"5","bundleDocumentIds":[1,2]}

application/xml, text/xml

Sample:
<Bundle xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Code>sample String 1</Code>
  <Description>sample String 2</Description>
  <IsActive>true</IsActive>
  <BundleId>4</BundleId>
  <OrganizationId>5</OrganizationId>
  <BundleDocumentIds>
    <int>1</int>
    <int>2</int>
  </BundleDocumentIds>
</Bundle>